using System;
using System.IO;
using System.Collections.Generic;
using SautinSoft;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            LoopBetweenHtmlAndRtf(Path.GetFullPath(@"..\..\Start from HTML\start.html"), 10);

            LoopBetweenHtmlAndRtf(Path.GetFullPath(@"..\..\Start from RTF\start.rtf"), 10);

            Console.ReadLine();
        }
        /// <summary>
        /// Converts between HTML to RTF and vice versa multiple times.
        /// </summary>
        /// <param name="startingFile">A path to RTF or HTML file. Starting file.</param>
        /// <param name="loops">The number of conversion cycles.</param>
        public static void LoopBetweenHtmlAndRtf(string startingFile, int loops)
        {

            RtfToHtml r = new RtfToHtml();
            r.ImageStyle.IncludeImageInHtml = true;                        

            HtmlToRtf h = new HtmlToRtf();
            
            List<string> extns = new List<string>() { ".html", ".rtf" };
            if (Path.GetExtension(startingFile).ToLower() == ".rtf")
                extns.Reverse();


            string input = File.ReadAllText(startingFile);
            string output = String.Empty;
            string workingDir = Path.GetDirectoryName(startingFile);
            string fileName = String.Empty;

            Console.WriteLine("***** Conversion Started *****");

            for (int i = 0; i < loops; i++)
            {
                if (extns[0] == ".rtf")
                {
                    output = r.ConvertString(input);
                    fileName = Path.Combine(workingDir, String.Format("{0}.html", i + 1));
                }
                else
                {
                    output = h.ConvertString(input);
                    fileName = Path.Combine(workingDir, String.Format("{0}.rtf", i + 1));
                }
                Console.WriteLine(Path.GetFileName(fileName));
                File.WriteAllText(fileName, output);
                extns.Reverse();
                input = output;
            }
            Console.WriteLine("***** Conversion Finidhed *****");
        }
    }
}
