Imports System
Imports System.IO
Imports System.Collections.Generic
Imports SautinSoft

Module Module1

    Sub Main(ByVal args() As String)
        LoopBetweenHtmlAndRtf(Path.GetFullPath("..\Start from HTML\start.html"), 10)

        LoopBetweenHtmlAndRtf(Path.GetFullPath("..\Start from RTF\start.rtf"), 10)

        Console.ReadLine()
    End Sub
    ''' <summary>
    ''' Converts between HTML to RTF and vice versa multiple times.
    ''' </summary>
    ''' <param name="startingFile">A path to RTF or HTML file. Starting file.</param>
    ''' <param name="loops">The number of conversion cycles.</param>
    Public Sub LoopBetweenHtmlAndRtf(ByVal startingFile As String, ByVal loops As Integer)

        Dim r As New RtfToHtml()
        r.ImageStyle.IncludeImageInHtml = True

        Dim h As New HtmlToRtf()

        Dim extns As New List(Of String)() From {".html", ".rtf"}
        If Path.GetExtension(startingFile).ToLower() = ".rtf" Then
            extns.Reverse()
        End If


        Dim input As String = File.ReadAllText(startingFile)
        Dim output As String = String.Empty
        Dim workingDir As String = Path.GetDirectoryName(startingFile)
        Dim fileName As String = String.Empty

        Console.WriteLine("***** Conversion Started *****")

        For i As Integer = 0 To loops - 1
            If extns(0) = ".rtf" Then
                output = r.ConvertString(input)
                fileName = Path.Combine(workingDir, String.Format("{0}.html", i + 1))
            Else
                output = h.ConvertString(input)
                fileName = Path.Combine(workingDir, String.Format("{0}.rtf", i + 1))
            End If
            Console.WriteLine(Path.GetFileName(fileName))
            File.WriteAllText(fileName, output)
            extns.Reverse()
            input = output
        Next i
        Console.WriteLine("***** Conversion Finidhed *****")
    End Sub
End Module

